#ifndef CHIP_STM32F10X_REGS_GPIO_H
#define CHIP_STM32F10X_REGS_GPIO_H

#include "chip_pin_defs_v1.h"

#define CHIP_REGS_GPIO(i)        ((CHIP_REGS_GPIO_T *)CHIP_MEMRGN_ADDR_PERIPH_GPIO(i))
#define CHIP_REGS_GPIOA          ((CHIP_REGS_GPIO_T *)CHIP_MEMRGN_ADDR_PERIPH_GPIOA)
#define CHIP_REGS_GPIOB          ((CHIP_REGS_GPIO_T *)CHIP_MEMRGN_ADDR_PERIPH_GPIOB)
#define CHIP_REGS_GPIOC          ((CHIP_REGS_GPIO_T *)CHIP_MEMRGN_ADDR_PERIPH_GPIOC)
#define CHIP_REGS_GPIOF          ((CHIP_REGS_GPIO_T *)CHIP_MEMRGN_ADDR_PERIPH_GPIOF)
#define CHIP_REGS_GPIOG          ((CHIP_REGS_GPIO_T *)CHIP_MEMRGN_ADDR_PERIPH_GPIOG)

#endif // CHIP_STM32F10X_REGS_GPIO_H
